//
//  BDViewController.m
//  TestUITextView
//
//  Created by Andrea Busi on 09/07/13.
//  Copyright (c) 2013 BubiDevs. All rights reserved.
//

#import "BDViewController.h"

@interface BDViewController ()
@property (nonatomic, strong) IBOutlet UITextView *textView;
@end

@implementation BDViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (BOOL)textViewShouldBeginEditing:(UITextView *)textView
{
    NSLog(@"qui");
    // creaiamo la toolbar da inserire sopra la tastiera
    UIToolbar *toolbar = [[UIToolbar alloc] init];
    toolbar.frame = CGRectMake(0, 0, self.view.frame.size.width, 44.0);
    toolbar.barStyle = UIBarStyleBlackTranslucent;
    
    // creiamo il bottone per terminare l'inserimento
    UIBarButtonItem *doneButton = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemDone target:self action:@selector(fineInserimentoNota:)];
    UIBarButtonItem *spaceButton = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemFlexibleSpace target:nil action:nil]; // spazio per mantenere a dx il bottone Fine
    NSMutableArray *items = [[NSMutableArray alloc] initWithObjects:spaceButton, doneButton, nil];
    toolbar.items = items;
    
    // settiamo la toolbar per aprirsi con la textview
    self.textView.inputAccessoryView = toolbar;
    
    return YES;
}

- (void)fineInserimentoNota:(id)sender
{
    [self.textView resignFirstResponder];
}

@end
